%define upstream_name    Code-TidyAll
%define upstream_version 0.47

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use podchecker with tidyall
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Code/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Date::Format)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(File::Zglob)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(List::Compare)
BuildRequires: perl(List::SomeUtils)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Text::Diff) >= 1.440.0
BuildRequires: perl(Text::Diff::Table)
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Time::Duration::Parse)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the engine used by tidyall - read that first to get an overview.

You can call this API from your own program instead of executing 'tidyall'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/tidyall
/usr/share/man/man1/tidyall.1.xz

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.470.0-1.mga6
+ Revision: 1010574
- update to 0.47

* Thu Apr 28 2016 shlomif <shlomif> 0.460.0-1.mga6
+ Revision: 1007439
- New version 0.46 (archive)
- New version 0.46

* Wed Feb 24 2016 shlomif <shlomif> 0.400.0-1.mga6
+ Revision: 978703
- update to 0.40

* Sat Jan 16 2016 shlomif <shlomif> 0.380.0-1.mga6
+ Revision: 923625
- New version 0.38

* Mon Sep 28 2015 sander85 <sander85> 0.300.0-1.mga6
+ Revision: 884419
- update to 0.30

* Sun Aug 23 2015 sander85 <sander85> 0.290.0-1.mga6
+ Revision: 868332
- update to 0.29

* Thu Aug 13 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 864296
- update to 0.28

* Sun Jul 05 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 851594
- update to 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-3.mga5
+ Revision: 749791
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-2.mga5
+ Revision: 683958
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.200.0-1.mga5
+ Revision: 624179
- update to 0.20

* Thu Mar 13 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 602854
- update to 0.19

* Mon Oct 21 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 536993
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 486132
- update to 0.18

* Mon Jun 10 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 441486
- update to 0.17

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 364533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 314866
- update to 0.16

* Mon Oct 15 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 306068
- update to 0.15

* Wed Oct 10 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 304462
- imported package perl-Code-TidyAll

